Skip to main content

October 7, 2026

· 3 min read

This release adds the applies_to property to joining fees across all membership payment plan endpoints. This new required field indicates which members the joining fee applies to, providing more granular control and transparency around joining fee applicability rules.

GET /joining_fees

  • added the required property results/items/applies_to to the response with the 200 status (media type: application/json)
View updated docs

GET /membership_payment_plans

  • added the required property results/items/joining_fee/applies_to to the response with the 200 status (media type: application/json)
View updated docs

POST /membership_payment_plans

  • added the required property joining_fee/applies_to to the response with the 201 status (media type: application/json)
View updated docs

GET /membership_payment_plans/{id}

  • added the required property joining_fee/applies_to to the response with the 200 status (media type: application/json)
View updated docs

PATCH /membership_payment_plans/{id}

  • added the required property joining_fee/applies_to to the response with the 200 status (media type: application/json)
View updated docs

PUT /membership_payment_plans/{id}

  • added the required property joining_fee/applies_to to the response with the 200 status (media type: application/json)
View updated docs